> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter mídia

> Obtém uma mídia World Labs preparada via TokenLab

Obtenha metadados de uma mídia preparada via TokenLab. O acesso é limitado à organização que criou a mídia.

## Parâmetros de caminho

<ParamField path="id" type="string" required>
  ID da mídia World Labs.
</ParamField>

## Resposta

<ResponseField name="media_asset_id" type="string">
  ID da mídia World Labs.
</ResponseField>

<ResponseField name="file_name" type="string">
  Nome de arquivo original, até 64 caracteres.
</ResponseField>

<ResponseField name="kind" type="string">
  Tipo de mídia: `image` ou `video`.
</ResponseField>

<ResponseField name="metadata" type="object">
  Objeto opcional de metadados salvo com a mídia upstream.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.tokenlab.sh/v1/worlds/media-assets/media_asset_123" \
    -H "Authorization: Bearer sk-your-api-key"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.tokenlab.sh/v1/worlds/media-assets/media_asset_123",
      headers={"Authorization": "Bearer sk-your-api-key"},
  )
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.tokenlab.sh/v1/worlds/media-assets/media_asset_123', {
    headers: { Authorization: 'Bearer sk-your-api-key' }
  });
  console.log(await response.json());
  ```
</RequestExample>
